@font-face{
    font-family: "Geist";
    src:  url(../fonts/Geist-VariableFont_wght.ttf);
}

:root {
    /*Overrides for mudblazor*/
    --mud-appbar-height: 0 !important; /* Set AppBar height to 0 */
}

html, body {
    font-family: Geist, Helvetica, Arial, sans-serif !important;
}

/*.mud-main-container {
    height: 100vh;
    overflow: hidden;
}*/

.mud-button-label {
    font-family: Geist, Helvetica, Arial, sans-serif !important;
    text-transform:none;
}

h1:focus {
    outline: none;
}

/* Display all text fields and data in uppercase */
.mud-table-cell, .mud-table-head, .mud-input-slot, .mud-chip-content,
.mud-list-item, .mud-list-item-text, .mud-select-input,
.mud-popover, .mud-autocomplete, .mud-menu-item,
.mud-typography, .mud-input-label,
.filter-name, .filter-chip, .filter-outline,
.item-name, .item-sub-name, .card-title, .card-description {
    text-transform: uppercase;
}

.small-gap {
    gap: 10px;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

.shrunk-picker{
    max-width: 160px;
}

    .shrunk-picker .mud-input-adorned-end {
        padding-right:3px !important;
        padding-inline-end: 3px !important;
    }

    .shrunk-picker input {
        padding: 6.5px !important;
    }

.shrunk-filter input {
    padding: 6.5px !important;
}

.scrolling-dialog{
    max-height: calc(100vh - 200px);
}

.page-subtitle {
    flex-grow: 1;
    color: rgb(115, 115, 115);
}

.loading-spinner-wrapper {
    text-align: center;
    padding-top: 30px;
    padding-bottom: 50px;
}

.loading-spinner{
    height: 60px !important;
    width: 60px !important;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.mud-dialog-container:has(> .formula-dialog) {
    width: calc(100vw - 450px);
}

    .mud-dialog-container:has(> .formula-dialog) .mud-overlay {
        right: 450px !important;
    }

    .mud-dialog-container:has(> .formula-dialog) .mud-overlay-dark {
        background-color: transparent;
        border: none;
    }


aside.mud-drawer {
    width: unset !important;
}

.mud-drawer.mud-drawer-right {
    overflow: hidden !important;
}

.mud-drawer.mud-drawer-right .mud-drawer-content {
    overflow: hidden !important;
    height: 100vh;
}

.mud-overlay-scrim.mud-overlay-dark {
    --mud-palette-overlay-dark: rgba(0, 0, 0, 0.05);
}
.loading-progress {
    position: relative;
    display: block;
    width: 8rem;
    height: 8rem;
    margin: 20vh auto 1rem auto;
}

    .loading-progress circle {
        fill: none;
        stroke: #e0e0e0;
        stroke-width: 0.6rem;
        transform-origin: 50% 50%;
        transform: rotate(-90deg);
    }

        .loading-progress circle:last-child {
            stroke: #1b6ec2;
            stroke-dasharray: calc(3.141 * var(--blazor-load-percentage, 0%) * 0.8), 500%;
            transition: stroke-dasharray 0.05s ease-in-out;
        }

.loading-progress-text {
    position: absolute;
    text-align: center;
    font-weight: bold;
    inset: calc(20vh + 3.25rem) 0 auto 0.2rem;
}

    .loading-progress-text:after {
        content: var(--blazor-load-percentage-text, "Loading");
    }

code {
    color: #c02d76;
}

.form-floating > .form-control-plaintext::placeholder, .form-floating > .form-control::placeholder {
    color: var(--bs-secondary-color);
    text-align: end;
}

.form-floating > .form-control-plaintext:focus::placeholder, .form-floating > .form-control:focus::placeholder {
    text-align: start;
}

.title-input input {
    padding: 0.55rem 0.75rem !important;
}

#blazor-error-ui {
    color-scheme: light only;
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    box-sizing: border-box;
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}